Create and queue a migration import task, from an export created via the migration partial-export api
POST /api
The migration API provides the ability to back-up and restore parts of an Octopus Deploy instance remotely Further details can be found in the docs.
Request Body
DeletePackageOnCompletionbooleanFailureCallbackUristringIsDryRunbooleanIsEncryptedPackagebooleanOverwriteExistingbooleanPackageFeedSpaceIdstringPackageIdstring (required)PackageVersionstring (required)
Minimum length 1.Passwordstring (required)
Minimum length 1.SuccessCallbackUristring
Response
200 — The requested import task that has been queued.
DeletePackageOnCompletionbooleanFailureCallbackUristringIdstring
Gets or sets a unique identifier for this resource.IsDryRunbooleanIsEncryptedPackagebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.OverwriteExistingbooleanPackageFeedSpaceIdstringPackageIdstringPackageVersionstringPasswordstringSuccessCallbackUristringTaskIdstring
Example Request
JSON
{
"DeletePackageOnCompletion": true,
"FailureCallbackUri": "string",
"IsDryRun": true,
"IsEncryptedPackage": true,
"OverwriteExisting": true,
"PackageFeedSpaceId": "string",
"PackageId": "string",
"PackageVersion": "string",
"Password": "string",
"SuccessCallbackUri": "string"
}Example Response
JSON
{
"DeletePackageOnCompletion": true,
"FailureCallbackUri": "string",
"Id": "string",
"IsDryRun": true,
"IsEncryptedPackage": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"OverwriteExisting": true,
"PackageFeedSpaceId": "string",
"PackageId": "string",
"PackageVersion": "string",
"Password": "string",
"SuccessCallbackUri": "string",
"TaskId": "string"
}Create and queue a partial-export migration task
POST /api
The migration API provides the ability to back-up and restore parts of an Octopus Deploy instance remotely Further details can be found in the docs.
Request Body
DestinationApiKeystringDestinationPackageFeedstringDestinationPackageFeedSpaceIdstringEncryptPackagebooleanFailureCallbackUristringIgnoreCertificatesbooleanIgnoreDeploymentsbooleanIgnoreMachinesbooleanIgnoreTenantsbooleanIncludeTaskLogsbooleanPackageIdstringPackageVersionstringPasswordstring (required)
Minimum length 1.Projectsarray of string (required)SpaceIdstringSuccessCallbackUristring
Response
200 — The requested partial export task that has been queued.
DestinationApiKeystringDestinationPackageFeedstringDestinationPackageFeedSpaceIdstringEncryptPackagebooleanFailureCallbackUristringIdstring
Gets or sets a unique identifier for this resource.IgnoreCertificatesbooleanIgnoreDeploymentsbooleanIgnoreMachinesbooleanIgnoreTenantsbooleanIncludeTaskLogsbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PackageIdstringPackageVersionstringPasswordstringProjectsarray of stringSpaceIdstringSuccessCallbackUristringTaskIdstring
Example Request
JSON
{
"DestinationApiKey": "string",
"DestinationPackageFeed": "string",
"DestinationPackageFeedSpaceId": "string",
"EncryptPackage": true,
"FailureCallbackUri": "string",
"IgnoreCertificates": true,
"IgnoreDeployments": true,
"IgnoreMachines": true,
"IgnoreTenants": true,
"IncludeTaskLogs": true,
"PackageId": "string",
"PackageVersion": "string",
"Password": "string",
"Projects": [
"string"
],
"SpaceId": "string",
"SuccessCallbackUri": "string"
}Example Response
JSON
{
"DestinationApiKey": "string",
"DestinationPackageFeed": "string",
"DestinationPackageFeedSpaceId": "string",
"EncryptPackage": true,
"FailureCallbackUri": "string",
"Id": "string",
"IgnoreCertificates": true,
"IgnoreDeployments": true,
"IgnoreMachines": true,
"IgnoreTenants": true,
"IncludeTaskLogs": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"PackageId": "string",
"PackageVersion": "string",
"Password": "string",
"Projects": [
"string"
],
"SpaceId": "string",
"SuccessCallbackUri": "string",
"TaskId": "string"
}